@{
    ViewData["Title"] = "Upload Tagihan Siswa";
}
<section class="section">
    <div class="section-header">
        <h1>Tagihan Siswa</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Siswa</a></div>
            <div class="breadcrumb-item active"><a href="#">Tagihan</a></div>
        </div>
    </div>

    <div class="section-body">
        <div class="collapse show">
            <div class="card card-body">
                <form class="form-inline" id="FormBerdasarkan">
                    <div class="col-md-2">
                        <h5>Berdasarkan</h5>
                    </div>
                    <div class="col-md-10">
                        <div class="row">
                        <select name="IdBulan" class="form-control mb-2 mr-sm-2"></select>
                        <select name="IdTahun" class="form-control mb-2 mr-sm-2"></select>

                        @* <div class="input-group mb-2 mr-sm-2" id="BtnSubmitPencarian">
                            <button type="button" class="btn btn-info btn-blok" id="BtnDownloadTemplateTagihan" onclick="DownloadTemplateTagihan();"><i class="fa fa-download"></i> Download Template Tagihan</button>
                        </div> *@
                        <div class="input-group mb-2 mr-sm-2" id="BtnSubmitPencarian">
                            <button type="button" class="btn btn-info btn-blok mr-2" id="BtnDownloadTemplateTagihan" onclick="DownloadTemplateTagihan();"><i class="fa fa-download"></i> Download Template</button>
                            <button type="button" class="btn btn-primary btn-blok mr-2" id="BtnTambah" onclick="TambahData();"><i class="fa fa-upload"></i> Upload Massal</button>
                            <button type="button" class="btn btn-success btn-blok" id="BtnTambahSusulan" onclick="TambahDataSusulan();"><i class="fa fa-upload"></i> Upload Susulan</button>
                        </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="collapse show">
            <div class="card card-body">
                <form class="form-inline" id="FormTabelTagihanSiswa">
                    <div class="col-md-4">
                        <h5>Nama Siswa</h5>
                    </div>
                    <div class="col-md-8">
                        <select name="IdSiswa" class="form-control mb-2 mr-sm-2 select2" style="width:100%;"></select>
                    </div>
                </form>
            </div>
        </div>
        <center id="ImgEmpty">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
        </center>
        <div class="row" id="DivRincianTagihan" style="display:none">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header form-row">
                        <h4 class="col-md-12">Rincian Tagihan</h4>
                    </div>
                    <div class="card-body">
                        <input hidden id="IdSiswa"/>
                        <div class="alert alert-info">
                            <span>Ref No : </span> &nbsp;<code><span id="InfoNomorRef">-</span></code>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <tbody>
                                    <tr>
                                        <th scope="row" style="width:50%">Nama Siswa</th>
                                        <td><span id="InfoNamaSiswa">Sedang Memuat</span></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" style="width:50%">Periode</th>
                                        <td><span id="InfoPeriode">Sedang Memuat</span></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" style="width:50%">Total Tagihan</th>
                                        <td><span id="InfoTotalTagihan">Sedang Memuat</span></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" style="width:50%">Total Tagihan Sebelumnya</th>
                                        <td><span id="InfoTotalTagihanSebelumnya">Sedang Memuat</span></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" style="width:50%">Total Tagihan Berjalan</th>
                                        <td><span id="InfoTotalTagihanBerjalan">Sedang Memuat</span></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" style="width:50%">Status</th>
                                        <td><span id="InfoStatus">Sedang Memuat</span></td>
                                    </tr>
                                    <tr>
                                        <th scope="row" style="width:50%">Tanggal Lunas</th>
                                        <td><span id="InfoTanggalLunas">Sedang Memuat</span></td>
                                    </tr>
                                    @* <tr>
                                        <th scope="row" style="width:50%">Nomor Ref.</th>
                                        <td><span id="InfoNomorRef">Sedang Memuat</span></td>
                                    </tr> *@
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header form-row">
                        <h4 class="col-md-12">Tabel Tagihan Sebelumnya</h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="TabelTagihanSebelumnya" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Jenis Biaya</th>
                                        <th>Jumlah</th>
                                        <th>Aksi</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header form-row">
                        <h4 class="col-md-12">Tabel Tagihan Berjalan</h4>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="TabelTagihanBerjalan" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Jenis Biaya</th>
                                        <th>Jumlah</th>
                                        <th>Aksi</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @* <div class="card" style="margin-bottom:0px;">
            <div class="card-body" style="padding-bottom:0px;">
                <form id="FormTabelTagihanSiswa" class="form-inline">
                    <div class="form-group mx-sm-1 mb-2 mr-1">
                        <label class="col-form-label mr-1">Bulan</label>
                        <select name="IdBulan" class="form-control">
                        </select>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1">
                        <label class="col-form-label mr-1">Tahun</label>
                        <select name="IdTahun" class="form-control">
                        </select>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1">
                        <label class="col-form-label mr-1">Nama Siswa</label>
                        <select name="IdSiswa" class="form-control" style="max-width:200px;">
                        </select>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnDownloadTemplateTagihan">
                        <button type="button" class="btn btn-info btn-flat" id="BtnDownloadTemplateTagihan" onclick="DownloadTemplateTagihan();"><i class="fa fa-download"></i> Download Template Tagihan</button>
                    </div>
                    <div class="form-group mx-sm-1 mb-2 mr-1" id="DivBtnTambah">
                        <button type="button" class="btn btn-success btn-flat" id="BtnTambah" onclick="TambahData();"><i class="fa fa-upload"></i> Upload Tagihan</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <center id="ImgSearch">
                    <img src="~/assets/img/search.png" width="250px;" />
                </center>
                <div class="table-responsive" id="DivTabelTagihanSiswa" style="display:none;">
                    <button type="button" onclick="DeleteTagihanMassal()" class="btn btn-danger">
                        <i class="fa fa-trash"></i> Hapus Semua Tagihan
                    </button>
                    <table id="TabelTagihanSiswa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Nama Siswa</th>
                                <th>Periode</th>
                                <th>Jenis Tagihan</th>
                                <th>Rupiah</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Nama Siswa</th>
                                <th>Periode</th>
                                <th>Jenis Tagihan</th>
                                <th>Rupiah</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div> *@
    </div>
</section>


<div class="modal fade" id="ModalUploadTagihanSiswa">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Upload Tagihan Siswa</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="FormUploadTagihanSiswa" class="form-horizontal" action="#" enctype="multipart/form-data">
                <div class="modal-body">
                    <div class="alert alert-warning"><i class="fa fa-warning"></i> <b>INFO</b> : Sistem upload file menggunakan sistem <b>delete massal</b>, semua data yang ada di database akan dihapus, kemudian data akan diinsert sesuai data excel yang di upload </div>
                    <div class="form-group">
                        <label class="col-form-label">File Upload</label>
                        <input type="file" id="FieldFileUpload" class="form-control" name="FileUpload" />
                        <small class="text-danger">*ekstensi file wajib .xlsx</small>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                    <button type="button" class="btn btn-primary" onclick="SaveUploadTagihanSiswa();">Upload Massal Sekarang</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalUploadTagihanSiswaSusulan">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Upload Tagihan Siswa</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="FormUploadTagihanSiswaSusulan" class="form-horizontal" action="#" enctype="multipart/form-data">
                <div class="modal-body">
                    <div class="alert alert-warning"><i class="fa fa-warning"></i> <b>INFO</b> : Sistem upload file menggunakan sistem <b>replace</b>, jika data belum ada otomatis diinsert, dan apabila data sudah ada akan diupdate sesuai data excel yang di upload</div>
                    <div class="form-group">
                        <label class="col-form-label">File Upload</label>
                        <input type="file" id="FieldFileUploadSusulan" class="form-control" name="FileUpload" />
                        <small class="text-danger">*ekstensi file wajib .xlsx</small>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                    <button type="button" class="btn btn-primary" onclick="SaveUploadTagihanSiswaSusulan();">Upload Susulan Sekarang</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalEditTagihanSiswa">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Edit Tagihan Siswa</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="alert alert-primary">
                    <span id="AlertTagihan"></span>
                </div>
                <form id="FormEditTagihanSiswa" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group">
                        <label class="col-form-label">Id Jenis Tagihan</label>
                        <input type="text" class="form-control" name="IdJenisTagihanSiswa" readonly/>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label">Jenis Tagihan</label>
                        <input type="text" class="form-control" name="JenisTagihan" readonly/>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label">Periode</label>
                        <input type="text" class="form-control" name="Periode" readonly/>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label">Nominal</label>
                        <input type="number" class="form-control" name="Nominal"/>
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                            <div class="col-sm-6"><button type="button" id="BtnUploadTagihanSiswa" onclick="SaveEditTagihan();" class="btn btn-success btn-block"><i class="fa fa-save"></i> Perbarui Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>